package com.miaxis.ge.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
/**
 * 八字格局对象 ge_ju
 *
 * @author miaxis
 * @date 2023-12-08
 */
@Data
@TableName("ge_ju")
@ApiModel(value = "GeJu", description = "八字格局对象 ge_ju")
public class GeJu extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @TableId(value = "id")
    @ApiModelProperty(value = "$column.columnComment")
    private Long id;

    /** 十神 */
    @Excel(name = "十神")
    @TableField("shi_shen")
    @ApiModelProperty(value = "十神")
    private String shiShen;

    /** 性别：1男 2:女 3:不限 */
    @Excel(name = "性别：1男 2:女 3:不限")
    @TableField("sex")
    @ApiModelProperty(value = "性别：1男 2:女 3:不限")
    private String sex;

    /** 内容 */
    @Excel(name = "内容")
    @TableField("content")
    @ApiModelProperty(value = "内容")
    private String content;

    /** 身强 身弱 */
    @Excel(name = "身强 身弱")
    @TableField("qr")
    @ApiModelProperty(value = "身强 身弱")
    private String qr;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setShiShen(String shiShen){
        this.shiShen = shiShen;
    }

    public String getShiShen(){
        return shiShen;
    }
    public void setSex(String sex){
        this.sex = sex;
    }

    public String getSex(){
        return sex;
    }
    public void setContent(String content){
        this.content = content;
    }

    public String getContent(){
        return content;
    }
    public void setQr(String qr){
        this.qr = qr;
    }

    public String getQr(){
        return qr;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("shiShen", getShiShen())
            .append("sex", getSex())
            .append("content", getContent())
            .append("qr", getQr())
            .toString();
    }
}
